# Created by Kerberos
import sys

from com.l2jserver.gameserver.model.quest        import State
from com.l2jserver.gameserver.model.quest        import QuestState
from com.l2jserver.gameserver.model.quest.jython import QuestJython as JQuest
from com.l2jserver.util import Rnd

qn = "1001_FortuneTelling"

BODY = "<html><body>占い師 ミネ:<br>汝に近づく影．．．私のビジョンを言葉で表現するには限界がある。<br>しかし、これが最もふさわしい答えになるだろう。この言葉を覚えておけ。<br><br><center><fstring>"
END = "</fstring></center><br><br>だ．．．これが意味するところをよく考えてみることだ．．．</body></html>"

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onTalk (Self,npc,player):
    st = player.getQuestState(qn)
    if not st: return
    if st.getQuestItemsCount(57) < 1000 :
      htmltext="lowadena.htm"
    else :
      st.takeItems(57,1000)
      htmltext=BODY+str(Rnd.get(1800309, 1800694))+END	#<fstring>npcstring</fstring>
    st.exitQuest(1)
    return htmltext

QUEST       = Quest(-1,qn,"Custom")

QUEST.addStartNpc(32616)
QUEST.addTalkId(32616)